Subject: [AVT] Re: [Rtp] Doubt in framing payload for digits

From: "Suresh H.B" <[email-masked]>
Date: Wed, 5 Dec 2001 14:07:19 +0530

I guess the answer for ur question is there in section 2. Events Vs Tones / section 4.1 Introduction in RFC 2833.
And it goes like : "As an alternative to describing tones and events by name, as described in Section 3 of RFC2833, it is sometimes preferable to describe them by their waveform properties. In particular, recognition is faster than for naming signals since it does not depend on recognizing durations or pauses."

Rgds,
-Suresh

  ----- Original Message ----- 
  From: Ponraj 
  To: Kim Le 
  Cc: [email-masked] 
  Sent: Wednesday, December 05, 2001 12:20 PM
  Subject: Re: [Rtp] Doubt in framing payload for digits

  I got your point now. No problem for sending an event. I understood that, in the normal RTP packet 'pt' will be dynamic payload type and the payload portion will be "digit e r volume duration". Am I right now?
   
  For interoperobility with the system which is implemented such a disign(sending more than one events), I thought  to have a design to receive and process those events. After seen Mr. suresh's answer I have gone through RFC2198 and understood.

  I have an another question, In which situation Telephony Tones(RFC2833, section 4) will come?

  Thanks & regards,
  R.Ponraj

  I have used RFC2833 only to send DTMF keys from an IP phone.  When sending digits over, we're not concerned about placing them all in one packet or about their frequency. 
    How are you planning to use RFC2833? 

    -Kim